Package: org.grails.encoder

## [Java] Class CombinedCodecIdentifier

- org.grails.encoder.CombinedCodecIdentifier

- All Implemented Interfaces and Traits:
    CodecIdentifier

      public class CombinedCodecIdentifier
      extends java.lang.Object
      implements CodecIdentifier

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.lang.String` | `codecAlias` |
    `private CodecIdentifier[]` | `codecIdentifiers` |
    `private java.lang.String` | `codecName` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CombinedCodecIdentifier (CodecIdentifierProvider[] encodersOrDecoders)`
    `CombinedCodecIdentifier (CodecIdentifierProvider[] encodersOrDecoders, boolean reverseOrder)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.util.Set<java.lang.String>` | `getCodecAliases()`
    `` | `public java.lang.String` | `getCodecName()`
    `` | `public boolean` | `isEquivalent(CodecIdentifier other)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private java.lang.String codecAlias

    - #### private CodecIdentifier[] codecIdentifiers

    - #### private java.lang.String codecName

  - ### Constructor Detail

    - #### CombinedCodecIdentifier(CodecIdentifierProvider[] encodersOrDecoders)

    - #### CombinedCodecIdentifier(CodecIdentifierProvider[] encodersOrDecoders, boolean reverseOrder)

  - ### Method Detail

    - #### @java.lang.Override public java.util.Set<java.lang.String> getCodecAliases()

    - #### @java.lang.Override public java.lang.String getCodecName()

    - #### @java.lang.Override public boolean isEquivalent(CodecIdentifier other)